

CREATE TABLE `djax_device_target` (
  `device_id` mediumint(9) NOT NULL,
  `device_name` varchar(255) NOT NULL,
  `parent_device_id` varchar(10) NOT NULL DEFAULT '0',
  `is_blocked` int(11) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;


ALTER TABLE `djax_device_target`
  ADD PRIMARY KEY (`device_id`);

ALTER TABLE `djax_device_target`
  MODIFY `device_id` mediumint(9) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;
COMMIT;


CREATE TABLE `rv_Data_bkt_Devicetype_m` (
  `interval_start` datetime NOT NULL,
  `creative_id` mediumint(20) NOT NULL,
  `zone_id` mediumint(20) NOT NULL,
  `device_type` char(11) NOT NULL DEFAULT '',
  `count` int(11) NOT NULL DEFAULT '0',
  `revenue` decimal(10,4) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `rv_Data_bkt_Devicetype_m`
  ADD PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`,`device_type`);
COMMIT;

CREATE TABLE `rv_Data_bkt_Devicetype_c` (
  `interval_start` datetime NOT NULL,
  `creative_id` mediumint(20) NOT NULL,
  `zone_id` mediumint(20) NOT NULL,
  `device_type` char(11) NOT NULL DEFAULT '',
  `count` int(11) NOT NULL DEFAULT '0',
  `revenue` decimal(10,4) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `rv_Data_bkt_Devicetype_c`
  ADD PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`,`device_type`);
COMMIT;

CREATE TABLE `rv_Stats_Devicetype` (
  `stats_devicetype_id` bigint(20) NOT NULL,
  `date_time` datetime NOT NULL,
  `creative_id` int(10) UNSIGNED NOT NULL,
  `zone_id` int(10) UNSIGNED NOT NULL,
  `impressions` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `clicks` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `device_type` char(11) NOT NULL DEFAULT '',
  `requests` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `total_revenue` decimal(10,4) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `rv_Stats_Devicetype`
  ADD PRIMARY KEY (`stats_devicetype_id`),
  ADD KEY `rv_Stats_Devicetype_stats_devicetype_dt` (`date_time`),
  ADD KEY `rv_Stats_Devicetype_stats_devicetype_cid_dt` (`creative_id`,`date_time`),
  ADD KEY `rv_Stats_Devicetype_stats_devicetype_zid_dt` (`zone_id`,`date_time`);

ALTER TABLE `rv_Stats_Devicetype`
  MODIFY `stats_devicetype_id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=201;
COMMIT;

CREATE TABLE `rv_profile` (
  `profileid` int(10) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

ALTER TABLE `rv_profile`
  MODIFY `profileid` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
COMMIT;



ALTER TABLE `rv_profile`
  ADD PRIMARY KEY (`profileid`);


CREATE TABLE `rv_custom_profile_c` (
  `interval_start` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `ad_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `userid` varchar(100) NOT NULL,
  `variable` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `revenue` float NOT NULL,
  `count` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;
COMMIT;



CREATE TABLE `rv_custom_profile_m` (
  `interval_start` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `ad_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `userid` varchar(100) NOT NULL,
  `variable` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `revenue` float NOT NULL,
  `count` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;
COMMIT;



CREATE TABLE `rv_custom_profile_summary` (
  `date_time` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `ad_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `variable` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `impressions` int(11) NOT NULL,
  `clicks` int(11) NOT NULL,
  `revenue` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;
COMMIT;
